org.tmatesoft.svn.core.wc2

## Class SvnGetStatusSummary

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<SvnStatusSummary>
  - - org.tmatesoft.svn.core.wc2.SvnGetStatusSummary

- All Implemented Interfaces:
    ISvnOperationOptionsProvider

      public class SvnGetStatusSummary
      extends SvnOperation<SvnStatusSummary>

  Represents status operation as local working copy summary status for `target` and all its children. `SvnOperation.run()` method returns `SvnStatusSummary` object which describe the summary status of the working copy `target` and all its children. *

  Reported all entries, unmodified, local modifications out of date.

  Doesn't connect to repository.

  `changeLists` are not used.

  Externals are not processed.
  Since:
    1.7
  Version:
    1.7
  Author:
    TMate Software Ltd.
  See Also:
    `SvnStatusSummary`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SvnGetStatusSummary(SvnOperationFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTrailUrl()` Returns URL for checking whether `target` was switched by comparing with `target`'s URL.
    `boolean` | `isChangesWorkingCopy()` Gets whether the operation changes working copy
    `boolean` | `isCommitted()` Returns whether to retrieve last committed revisions or current revisions.
    `void` | `setCommitted(boolean isCommitted)` Sets whether to retrieve last committed revisions or current revisions.
    `void` | `setTrailUrl(java.lang.String trailUrl)` Sets URL for checking whether `target` was switched by comparing with `target`'s URL.

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

      `addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnGetStatusSummary

          protected SvnGetStatusSummary(SvnOperationFactory factory)

  - ### Method Detail

    - #### isCommitted

          public boolean isCommitted()

      Returns whether to retrieve last committed revisions or current revisions.
      Returns:
        `true` if last committed revisions should be retrieved, otherwise `false`

    - #### setCommitted

          public void setCommitted(boolean isCommitted)

      Sets whether to retrieve last committed revisions or current revisions.
      Parameters:
        `isCommitted` - `true` if last committed revisions should be retrieved, otherwise `false`

    - #### getTrailUrl

          public java.lang.String getTrailUrl()

      Returns URL for checking whether `target` was switched by comparing with `target`'s URL. Used for 1.6 working copies only.
      Returns:
        trail URL

    - #### setTrailUrl

          public void setTrailUrl(java.lang.String trailUrl)

      Sets URL for checking whether `target` was switched by comparing with `target`'s URL. Used for 1.6 working copies only.
      Parameters:
        `trailUrl` - trail URL

    - #### isChangesWorkingCopy

          public boolean isChangesWorkingCopy()

      Gets whether the operation changes working copy
      Overrides:
        `isChangesWorkingCopy` in class `SvnOperation<SvnStatusSummary>`
      Returns:
        `true` if the operation changes the working copy, otherwise `false`